<?php
/**
 * @package Sj Frontpage for JoomShopping
 * @version 1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;?>

<div id="fronpage_<?php echo $uniqueid; ?>" class="frontpage <?php echo $params->get('theme', '_theme1'); ?>">
	<div class="big-item-wrap">
	<?php if( (int)$params->get('big_item_image_display', 1) ){ ?>
		<div class="big-item-image">
			<a href="<?php echo $item0->link; ?>" <?php echo JsFrontpage::parseTarget($params->get('target')); ?>>
				<?php $img = JsFrontpage::getAImage($item0, $params);
    			echo JsFrontpage::imageTag($img);?>
			</a>
		</div>
	<?php }?>
	<?php if( (int)$params->get('big_item_title_display', 1) ){ ?>
		<div class="big-item-title">
			<a href="<?php echo $item0->link; ?>" <?php echo JsFrontpage::parseTarget($params->get('target')); ?>>
			<?php echo JsFrontpage::truncate($item0->title, (int)$params->get('big_item_title_max_characters'));?>
			</a>
		</div>
	<?php }?>
	
	<?php if( (int)$params->get('big_item_datetime_display') ){ ?>
		<div class="big-item-datetime">
			<?php echo JHtml::date($item0->created_on, 'd F Y'); ?>
		</div>
	<?php }?>

	<?php if( (int)$params->get('big_item_description_display', 1) ){ ?>
		<div class="big-item-description">
			<?php echo JsFrontpage::truncate($item0->short_description, (int)$params->get('big_item_description_max_characters')); ?>
		</div>
	<?php }?>	
		
    <?php if( $params->get('big_show_review') ){?>
       	<table class="review_mark"><tr><td><?php echo showMarkStar($item0->average_rating);?></td></tr></table>
    <?php }?>
        					
    <?php if ( $item0->_display_price && $params->get('big_show_price') ){?>
        <div class = "big-item-price">
            <?php if ($item0->show_price_from) echo _JSHOP_FROM." ";?>
            <span><?php echo "<span style='color:#333333;'>Price:</span> ".formatprice($item0->product_price);?></span>
        </div>
    <?php }?>
    			
	<?php if( (int)$params->get('item_readmore_display', 1) ){ ?>
		<div class="big-item-readmore">
			<a href="<?php echo $item0->link; ?>" <?php echo JsFrontpage::parseTarget($params->get('target')); ?>>
			<?php echo $params->get('item_readmore_text', 'Product details'); ?>
			</a>		
		</div>
	<?php }?>
	</div><!-- display big item end -->
	
    <div class="small-item-list">
        <div class="items-container">
        <?php $postion_index = 0;
        $postion_class = '';
        foreach($items as $key => $item){
        	$postion_index++;
        	if ($postion_index==1){
        		$postion_class = 'item-first';
        	} else if ($postion_index==count($items)){
        		$postion_class = 'item-last';
        	} else {
        		$postion_class = '';
        	} ?>
			<div class="small-item-wrap <?php echo $postion_class; ?>">
			<?php
			if ((int)$params->get('small_item_image_display', 1)){ ?>
            	<div class="small-item-image">
             		<a href="<?php echo $item->link; ?>" <?php echo JsFrontpage::parseTarget($params->get('target')); ?>>
						<?php $img_nav = JsFrontpage::getAImage($item, $params);
    					echo JsFrontpage::imageTag($img_nav, $small_image_config);?>						
             		</a>
            	</div>
            <?php }?>
            	<div class="small-item-content">
				<?php if( (int)$params->get('small_item_title_display', 1) ){ ?>
					<div class="small-item-title">
						<a href="<?php echo $item->link; ?>" <?php echo JsFrontpage::parseTarget($params->get('target')); ?> >
							<?php echo JsFrontpage::truncate($item->title, $params->get('small_item_title_max_characters'));?>
						</a>
					</div>
				<?php }?>

				<?php if( (int)$params->get('small_item_datetime_display', 1) ){ ?>
					<div class="small-item-datetime">
						<?php echo JHtml::date($item->created_on, 'd F Y'); ?>
					</div>
				<?php }?>
						
				<?php if( (int)$params->get('small_item_description_display', 1) ){ ?>
					<div class="small-item-description">
						<?php echo JsFrontpage::truncate($item->short_description, (int)$params->get('small_item_description_max_characters', 32));?>
					</div>
				<?php } ?> 
				
		        <?php if( $params->get('small_show_review') ){?>
		        	<table class="review_mark"><tr><td><?php echo showMarkStar($item->average_rating);?></td></tr></table>
		        <?php }?>
		        					
		        <?php if ( $item->_display_price && $params->get('small_show_price') ){?>
		            <div class = "small-item-price">
		                <?php if ($item->show_price_from) echo _JSHOP_FROM." ";?>
		                <span><?php echo "<span style='color:#333333;'>Price:</span> ".formatprice($item->product_price);?></span>
		            </div>
		        <?php }?>				 
           		</div>
				<div class="clear"></div>
            </div>
		<?php }?>
        </div>        
    </div>
</div>